## ros-one-hector-geotiff-plugins 0.5.2-6noble.20251023.0044

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(hector_geotiff_plugins)

find_package(catkin REQUIRED COMPONENTS hector_geotiff hector_nav_msgs)


###################################
## catkin specific configuration ##
###################################
catkin_package(
  CATKIN_DEPENDS hector_geotiff hector_nav_msgs
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_library(hector_geotiff_plugins src/trajectory_geotiff_plugin.cpp)
add_dependencies(hector_geotiff_plugins ${catkin_EXPORTED_TARGETS})
target_link_libraries(hector_geotiff_plugins
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

install(TARGETS hector_geotiff_plugins
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  hector_geotiff_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-one-hector-geotiff-plugins 0.5.2-6jammy.20251023.0045

=== debian/changelog ===
ros-one-hector-geotiff-plugins (0.5.2-6jammy.20251023.0045) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 23 Oct 2025 00:45:35 +0000

ros-one-hector-geotiff-plugins (0.5.2-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.5.1-0jammy) jammy; urgency=high

  * Fixed "SEVERE WARNING" by pluginloader when killing geotiff node.
    Some minor cleanup.
  * Contributors: Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 Jan 2021 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.5.0-0jammy) jammy; urgency=high

  * Moved hector_geotiff launch files to separate package to solve cyclic dependency.
    Clean up for noetic release.
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Marius Schnaubelt, Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.4.1-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 May 2020 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.6-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 31 Oct 2019 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.5-0jammy) jammy; urgency=high

  * hector_geotiff/hector_geotiff_plugins: added possibility to specify Color of robot path in the geotiff file in order to allow multiple color robot paths
  * Contributors: Dorothea Koert

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.4-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.3-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 15 Jun 2014 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.2-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.1-0jammy) jammy; urgency=high

  * readded PLUGINLIB_DECLARE_CLASS macro for fuerte compatibility
  * use hector_geotiff_plugins/TrajectoryMapWriter as legacy lookup name for the trajectory geotiff plugin to not break old launch files
  * fixed warnings for deprecated pluginlib method/macro calls
  * added changelogs
  * added cmake dependencies to catkin exported targets to force message targets to be built before any cpp target using them

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 09 Oct 2013 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.0-0jammy) jammy; urgency=high

  * catkinized hector_slam

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Aug 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-hector-geotiff-plugins
Section: misc
Priority: optional
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-hector-geotiff, ros-one-hector-nav-msgs
Homepage: http://ros.org/wiki/hector_geotiff_plugins
Standards-Version: 3.9.2

Package: ros-one-hector-geotiff-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-hector-geotiff, ros-one-hector-nav-msgs
Description: hector_geotiff_plugins contains plugins that extend geotiff maps generated by hector_geotiff.

## ros-one-hector-geotiff-plugins 0.5.2-6jammy.20260220.2143

=== debian/changelog ===
ros-one-hector-geotiff-plugins (0.5.2-6jammy.20260220.2143) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 20 Feb 2026 21:43:04 +0000

## ros-one-hector-geotiff-plugins 0.5.2-6noble.20251023.0044

=== debian/changelog ===
ros-one-hector-geotiff-plugins (0.5.2-6noble.20251023.0044) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 23 Oct 2025 00:44:06 +0000

ros-one-hector-geotiff-plugins (0.5.2-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.5.1-0noble) noble; urgency=high

  * Fixed "SEVERE WARNING" by pluginloader when killing geotiff node.
    Some minor cleanup.
  * Contributors: Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 Jan 2021 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.5.0-0noble) noble; urgency=high

  * Moved hector_geotiff launch files to separate package to solve cyclic dependency.
    Clean up for noetic release.
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Marius Schnaubelt, Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.4.1-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 May 2020 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.6-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 31 Oct 2019 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.5-0noble) noble; urgency=high

  * hector_geotiff/hector_geotiff_plugins: added possibility to specify Color of robot path in the geotiff file in order to allow multiple color robot paths
  * Contributors: Dorothea Koert

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.4-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.3-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 15 Jun 2014 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.2-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.1-0noble) noble; urgency=high

  * readded PLUGINLIB_DECLARE_CLASS macro for fuerte compatibility
  * use hector_geotiff_plugins/TrajectoryMapWriter as legacy lookup name for the trajectory geotiff plugin to not break old launch files
  * fixed warnings for deprecated pluginlib method/macro calls
  * added changelogs
  * added cmake dependencies to catkin exported targets to force message targets to be built before any cpp target using them

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 09 Oct 2013 00:00:00 -0000

ros-one-hector-geotiff-plugins (0.3.0-0noble) noble; urgency=high

  * catkinized hector_slam

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Aug 2013 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-hector-geotiff-plugins//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-hector-geotiff-plugins 0.5.2-6noble.20260220.2149

=== debian/changelog ===
ros-one-hector-geotiff-plugins (0.5.2-6noble.20260220.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 20 Feb 2026 21:49:56 +0000
